# AI Agent

<details>

<summary>What is an AI Agent?</summary>

An AI Agent is a computer program or system that can perceive its environment, make decisions, and take actions. These agents have autonomy, are goal-oriented, can learn, and use logical reasoning. They understand user intentions through inputs and can autonomously plan and execute complex tasks.

</details>

<details>

<summary>Why is an AI Agent important?</summary>

Modern AI Agents are built on the capabilities of large language models (LLMs). Once developed, they will surpass ordinary LLMs in functionality, accomplishing tasks that LLMs cannot. The cases we discussed in the previous section were aimed at providing ideas for constructing AI Agents.

</details>

For more details, check this article from Zapier:

{% embed url="<https://zapier.com/blog/ai-agent/?utm_source=Iterable&utm_medium=email&utm_campaign=itbl-gbl-pgv-ooc-blog_ai_agent_20240529-ctn>" %}
Source: Zapier: What are AI agents?
{% endembed %}

***

<details>

<summary>Learning Resources:</summary>

<table data-header-hidden><thead><tr><th width="342.7083333333333"></th><th width="404.9921875"></th><th data-hidden></th><th data-hidden data-type="content-ref"></th></tr></thead><tbody><tr><td>MIT Tech Review: What Are AI Agents?</td><td><a href="https://www.technologyreview.com/2024/07/05/1094711/what-are-ai-agents/">https://www.technologyreview.com/2024/07/05/1094711/what-are-ai-agents/</a></td><td></td><td></td></tr><tr><td>Building effective agents</td><td><a href="https://www.anthropic.com/research/building-effective-agents">https://www.anthropic.com/research/building-effective-agents</a></td><td></td><td></td></tr><tr><td>Multi AI Agents In Production</td><td><a href="https://insights.crewai.com">https://insights.crewai.com</a></td><td></td><td></td></tr><tr><td>Agents by Google </td><td><a href="https://www.kaggle.com/whitepaper-agents">https://www.kaggle.com/whitepaper-agents</a></td><td></td><td></td></tr><tr><td>Hugging Face Agents Course</td><td><a href="https://huggingface.co/agents-course">https://huggingface.co/agents-course</a></td><td></td><td></td></tr><tr><td>10 Lessons to Get Started Building AI Agents - Microsoft</td><td><a href="https://github.com/microsoft/ai-agents-for-beginners">https://github.com/microsoft/ai-agents-for-beginners</a></td><td></td><td></td></tr><tr><td>OpenAI - A practical guide to building agents</td><td><a href="https://cdn.openai.com/business-guides-and-resources/a-practical-guide-to-building-agents.pdf">https://cdn.openai.com/business-guides-and-resources/a-practical-guide-to-building-agents.pdf</a></td><td></td><td></td></tr><tr><td>Claude Code: Best practices for agentic coding</td><td><a href="https://www.anthropic.com/engineering/claude-code-best-practices">https://www.anthropic.com/engineering/claude-code-best-practices</a></td><td></td><td></td></tr></tbody></table>

</details>

<details>

<summary>Agentic AI Foundation (OpenAI)</summary>

*The Agentic AI Foundation (AAIF)* is a newly established open‑source, neutral governance foundation under the Linux Foundation co‑founded by OpenAI, Anthropic, Block and backed by major tech companies like Google, Microsoft, AWS, Bloomberg, and Cloudflare to standardize, steward, and advance agentic AI technologies—providing interoperable open standards and protocols (such as OpenAI’s AGENTS.md, Anthropic’s Model Context Protocol, and Block’s Goose framework) so developers and organizations can build autonomous, action‑oriented AI systems collaboratively and transparently.

<https://openai.com/index/agentic-ai-foundation/>

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aiandbusiness.com/learn/ai-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
